org.h2.android

## Class H2Program

- java.lang.Object
- - android.database.sqlite.SQLiteClosable
  - - org.h2.android.H2Closable
    - - org.h2.android.H2Program

Direct Known Subclasses:
  H2Query, H2Statement

    public class H2Program
    extends H2Closable

This class represents a prepared statement.

### Field Summary

Fields
`protected Prepared` `prepared` The prepared statement

### Method Summary

Methods
`void` `bindBlob(int index, byte[] value)` Set the specified parameter value.
`void` `bindDouble(int index, double value)` Set the specified parameter value.
`void` `bindLong(int index, long value)` Set the specified parameter value.
`void` `bindNull(int index)` Set the specified parameter to NULL.
`void` `bindString(int index, java.lang.String value)` Set the specified parameter value.
`void` `clearBindings()` Reset all parameter values.
`void` `close()` Close the statement.
`int` `getUniqueId()` Get the unique id of this statement.
`protected void` `onAllReferencesReleased()` TODO
`protected void` `onAllReferencesReleasedFromContainer()` TODO

### Methods inherited from class org.h2.android.H2Closable

`acquireReference, releaseReference, releaseReferenceFromContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### prepared

    protected final Prepared prepared

The prepared statement

### Method Detail

#### bindBlob

    public void bindBlob(int index,
                byte[] value)

Set the specified parameter value.

Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### bindDouble

    public void bindDouble(int index,
                  double value)

Set the specified parameter value.

Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### bindLong

    public void bindLong(int index,
                long value)

Set the specified parameter value.

Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### bindNull

    public void bindNull(int index)

Set the specified parameter to NULL.

Parameters:
  `index` - the parameter index (0, 1,...)

#### bindString

    public void bindString(int index,
                  java.lang.String value)

Set the specified parameter value.

Parameters:
  `index` - the parameter index (0, 1,...)
  `value` - the new value

#### clearBindings

    public void clearBindings()

Reset all parameter values.

#### close

    public void close()

Close the statement.

#### getUniqueId

    public final int getUniqueId()

Get the unique id of this statement.

Returns:
  the id

#### onAllReferencesReleased

    protected void onAllReferencesReleased()

TODO

Specified by:
  `onAllReferencesReleased` in class `H2Closable`

#### onAllReferencesReleasedFromContainer

    protected void onAllReferencesReleasedFromContainer()

TODO

Overrides:
  `onAllReferencesReleasedFromContainer` in class `H2Closable`